[coreboot-gerrit] New patch to review for coreboot: 6bd841c lint-stable: Check that modified boards conatin meaningful board_info.txt.

Vladimir Serbinenko (phcoder@gmail.com) gerrit at coreboot.org
Fri Aug 15 02:06:59 CEST 2014


Vladimir Serbinenko (phcoder at gmail.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6670

-gerrit

commit 6bd841cecbd86ef0133396f746ca27253b7c82de
Author: Vladimir Serbinenko <phcoder at gmail.com>
Date:   Fri Aug 15 02:06:00 2014 +0200

    lint-stable: Check that modified boards conatin meaningful board_info.txt.
    
    Change-Id: Idd3ff029e16b4b963f13d341dabdc1949c4e9275
    Signed-off-by: Vladimir Serbinenko <phcoder at gmail.com>
---
 util/lint/lint-stable-005-board-status | 49 ++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/util/lint/lint-stable-005-board-status b/util/lint/lint-stable-005-board-status
new file mode 100755
index 0000000..33f5a63
--- /dev/null
+++ b/util/lint/lint-stable-005-board-status
@@ -0,0 +1,49 @@
+#!/bin/sh
+# This file is part of the coreboot project.
+#
+# Copyright (C) 2014 Vladimir Serbinenko <phcoder at gmail.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# DESCR: Check that every board has a meaningful board_info.txt
+
+LC_ALL=C export LC_ALL
+for mobodir in $(git diff --name-status |grep -v "^D" |cut -c3- | sed -n 's,^\(src/mainboard/[^/]*/[^/]*\).*$,\1,p'|sort|uniq); do
+    board_info="$mobodir/board_info.txt"
+    if ! [ -f "$board_info" ]; then
+       echo "No $board_info found" >&2
+       exit 1
+    fi
+    clone_of="$(sed -n 's#^Clone of: \(.*\)$#\1#p' < "$board_info")"
+    if [ -s "$clone_of" ] && [ -f "src/mainboard/$clone_of/board_info.txt" ]; then
+	continue
+    fi
+    category="$(sed -n 's#^Category: \(.*\)$#\1#p' < "$board_info")"
+    case "$category" in
+	desktop|server|laptop|half|mini|settop|"eval"|sbc|emulation|misc)
+	    ;;
+	"")
+	    echo "$board_info contains neither Clone of nor Category" >&2
+	    exit 1
+	    ;;
+	*)
+	    echo "$board_info specifies unknown category '$category'" >&2
+	    exit 1
+	    ;;
+    esac
+done
+
+exit 0
+



More information about the coreboot-gerrit mailing list